Bug 615819 - Changing timezone when /etc/localtime is a symlink corrupts old timezone file
Summary: Changing timezone when /etc/localtime is a symlink corrupts old timezone file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-slip
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-19 00:34 UTC by Matt McCutchen
Modified: 2010-10-08 20:39 UTC (History)
1 user (show)

Fixed In Version: python-slip-0.2.13-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-02 20:37:51 UTC


Attachments (Terms of Use)
Wrapper script to warn about this bug (307 bytes, application/x-shellscript)
2010-07-19 01:06 UTC, Matt McCutchen
no flags Details

Description Matt McCutchen 2010-07-19 00:34:17 UTC
Description of problem:
I had locally made /etc/localtime a symlink to /usr/share/zoneinfo/America/New_York because the Evolution calendar prefers this format.  I used system-config-date to change the timezone to America/Los_Angeles, and it apparently wrote through the symlink at /etc/localtime and corrupted /usr/share/zoneinfo/America/New_York.  It should be smart enough to replace the symlink in that case.

Version-Release number of selected component (if applicable):
system-config-date-1.9.59-1.fc13.noarch

How reproducible:
Always

Steps to Reproduce:
1. ln -fs /usr/share/zoneinfo/America/New_York /etc/localtime
2. Change the timezone to something else with system-config-date.
3. rpm -Vf /usr/share/zoneinfo/America/New_York

Actual results:
S.5......    /usr/share/zoneinfo/America/New_York

Expected results:
(empty output)

Additional info:
system-config-date updates /etc/localtime using slip.util.files.linkorcopyfile from python-slip, which calls realpath on the destination path.  That behavior clearly isn't what system-config-date wants, but I can't speak to what behavior is best for python-slip in general.

Comment 1 Matt McCutchen 2010-07-19 01:06:16 UTC
Created attachment 432751 [details]
Wrapper script to warn about this bug

I installed the attached script at /usr/local/bin/system-config-date to make sure I don't get burned by this issue again.  Other users might wish to do the same.

Comment 2 Nils Philippsen 2010-08-24 15:39:41 UTC
This is a problem in python-slip.

Comment 3 Fedora Update System 2010-08-24 16:02:52 UTC
python-slip-0.2.12-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/python-slip-0.2.12-1.fc14

Comment 4 Fedora Update System 2010-08-24 16:02:57 UTC
python-slip-0.2.12-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-slip-0.2.12-1.fc12

Comment 5 Fedora Update System 2010-08-24 16:03:06 UTC
python-slip-0.2.12-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-slip-0.2.12-1.fc13

Comment 6 Fedora Update System 2010-08-24 21:14:15 UTC
python-slip-0.2.12-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-slip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-slip-0.2.12-1.fc13

Comment 7 Fedora Update System 2010-09-02 20:37:37 UTC
python-slip-0.2.13-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-10-01 12:25:01 UTC
python-slip-0.2.13-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-10-08 20:39:11 UTC
python-slip-0.2.13-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.